From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Thu, 25 Jun 2020 03:06:01 +0200
Subject: Input: edt-ft5x06: Empty all slots when unable to fetch data

This workarounds an issue of stuck touch points when turning
the panel off while touching the screen.
---
 drivers/input/touchscreen/edt-ft5x06.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/drivers/input/touchscreen/edt-ft5x06.c b/drivers/input/touchscreen/edt-ft5x06.c
index fe9d100..c626540 100644
--- a/drivers/input/touchscreen/edt-ft5x06.c
+++ b/drivers/input/touchscreen/edt-ft5x06.c
@@ -230,6 +230,13 @@ static irqreturn_t edt_ft5x06_ts_isr(int irq, void *dev_id)
 	if (error) {
 		dev_err_ratelimited(dev, "Unable to fetch data, error: %d\n",
 				    error);
+		// HACK: empty all slots on error
+		for (i = 0; i < tsdata->max_support_points; i++) {
+			input_mt_slot(tsdata->input, i);
+			input_mt_report_slot_state(tsdata->input, MT_TOOL_FINGER,
+					       false);
+		}
+		input_sync(tsdata->input);
 		goto out;
 	}
 
